<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderGridView9Base from './ibizorder-grid-view9-base.vue';

import view_grid from '@widgets/ibizorder/main-grid/main-grid.vue';
// 基于 @VIEW/实体表格视图（部件视图）/VIEW.vue.ftl 生成

@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderGridView9 extends IBIZOrderGridView9Base {

}
</script>